> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voiceagentslead submittersettings



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/agents/lead-submitter/settings
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/lead-submitter/settings:
    get:
      tags:
        - CallOutcomeClassifiers
      operationId: voice.lead-submitter.settings.view
      responses:
        '200':
          description: '`LeadSubmitterData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LeadSubmitterData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    LeadSubmitterData:
      type: object
      properties:
        url:
          type: string
        enabled:
          type: boolean
          default: false
        method:
          type: string
          default: POST
        headers:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              key:
                type: string
              value:
                type: string
            required:
              - key
              - value
        call_outcomes:
          type:
            - array
            - 'null'
          items:
            type: string
        tags_on_complete:
          type:
            - array
            - 'null'
          items:
            type: string
        transcript_as_text:
          type: boolean
          default: false
        field_aliases:
          type:
            - array
            - 'null'
          items:
            type: string
        additional_data:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              key:
                type: string
              value:
                type: string
            required:
              - key
              - value
        daily_limit:
          type:
            - integer
            - 'null'
      required:
        - url
        - enabled
        - method
        - headers
        - call_outcomes
        - tags_on_complete
        - transcript_as_text
        - field_aliases
        - additional_data
        - daily_limit
      title: LeadSubmitterData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````